Upstream information

CVE-2015-8615 at MITRE

Description

The hvm_set_callback_via function in arch/x86/hvm/irq.c in Xen 4.6 does not limit the number of printk console messages when logging the new callback method, which allows local HVM guest OS users to cause a denial of service via a large number of changes to the callback method (HVM_PARAM_CALLBACK_IRQ).

SUSE information

Overall state of this security issue: Does not affect SUSE products

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 2.1
Vector AV:L/AC:L/Au:N/C:N/I:N/A:P
Access Vector Local
Access Complexity Low
Authentication None
Confidentiality Impact None
Integrity Impact None
Availability Impact Partial

Note from the SUSE Security Team

Only affects Xen 4.6 which is not shipped in SUSE Linux Enterprise or openSUSE stable releases.

SUSE Bugzilla entry: 960093 [RESOLVED / FIXED]

No SUSE Security Announcements cross referenced.

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12 SP2
  • xen >= 4.7.0_12-23.4
  • xen-libs >= 4.7.0_12-23.4
  • xen-libs-32bit >= 4.7.0_12-23.4
SUSE Linux Enterprise Desktop 12 SP3
  • xen >= 4.9.0_08-2.2
  • xen-libs >= 4.9.0_08-2.2
  • xen-libs-32bit >= 4.9.0_08-2.2
SUSE Linux Enterprise Desktop 12 SP4
  • xen >= 4.11.0_08-1.11
  • xen-libs >= 4.11.0_08-1.11
  • xen-libs-32bit >= 4.11.0_08-1.11
SUSE Linux Enterprise High Performance Computing 12 SP5
SUSE Linux Enterprise Server 12 SP5
  • xen >= 4.12.1_06-1.1
  • xen-doc-html >= 4.12.1_06-1.1
  • xen-libs >= 4.12.1_06-1.1
  • xen-libs-32bit >= 4.12.1_06-1.1
  • xen-tools >= 4.12.1_06-1.1
  • xen-tools-domU >= 4.12.1_06-1.1
SUSE Linux Enterprise Module for Basesystem 15 SP1
  • xen-libs >= 4.12.0_12-1.1
  • xen-tools-domU >= 4.12.0_12-1.1
SUSE Linux Enterprise Module for Basesystem 15 SP2
  • xen-libs >= 4.13.1_02-1.2
  • xen-tools-domU >= 4.13.1_02-1.2
SUSE Linux Enterprise Module for Basesystem 15 SP3
  • xen-libs >= 4.14.1_16-1.6
  • xen-tools-domU >= 4.14.1_16-1.6
SUSE Linux Enterprise Module for Basesystem 15
  • xen-libs >= 4.10.1_04-1.4
  • xen-tools-domU >= 4.10.1_04-1.4
SUSE Linux Enterprise Module for Server Applications 15 SP1
  • xen >= 4.12.0_12-1.1
  • xen-devel >= 4.12.0_12-1.1
  • xen-tools >= 4.12.0_12-1.1
SUSE Linux Enterprise Module for Server Applications 15 SP2
  • xen >= 4.13.1_02-1.2
  • xen-devel >= 4.13.1_02-1.2
  • xen-tools >= 4.13.1_02-1.2
  • xen-tools-xendomains-wait-disk >= 4.13.1_02-1.2
SUSE Linux Enterprise Module for Server Applications 15 SP3
  • xen >= 4.14.1_16-1.6
  • xen-devel >= 4.14.1_16-1.6
  • xen-tools >= 4.14.1_16-1.6
  • xen-tools-xendomains-wait-disk >= 4.14.1_16-1.6
SUSE Linux Enterprise Module for Server Applications 15
  • xen >= 4.10.1_04-1.4
  • xen-devel >= 4.10.1_04-1.4
  • xen-tools >= 4.10.1_04-1.4
SUSE Linux Enterprise Server 12 SP2
  • xen >= 4.7.0_12-23.4
  • xen-doc-html >= 4.7.0_12-23.4
  • xen-libs >= 4.7.0_12-23.4
  • xen-libs-32bit >= 4.7.0_12-23.4
  • xen-tools >= 4.7.0_12-23.4
  • xen-tools-domU >= 4.7.0_12-23.4
SUSE Linux Enterprise Server 12 SP3
  • xen >= 4.9.0_08-2.2
  • xen-doc-html >= 4.9.0_08-2.2
  • xen-libs >= 4.9.0_08-2.2
  • xen-libs-32bit >= 4.9.0_08-2.2
  • xen-tools >= 4.9.0_08-2.2
  • xen-tools-domU >= 4.9.0_08-2.2
SUSE Linux Enterprise Server 12 SP4
  • xen >= 4.11.0_08-1.11
  • xen-doc-html >= 4.11.0_08-1.11
  • xen-libs >= 4.11.0_08-1.11
  • xen-libs-32bit >= 4.11.0_08-1.11
  • xen-tools >= 4.11.0_08-1.11
  • xen-tools-domU >= 4.11.0_08-1.11
SUSE Linux Enterprise Software Development Kit 12 SP2
  • xen-devel >= 4.7.0_12-23.4
SUSE Linux Enterprise Software Development Kit 12 SP3
  • xen-devel >= 4.9.0_08-2.2
SUSE Linux Enterprise Software Development Kit 12 SP4
  • xen-devel >= 4.11.0_08-1.11
SUSE Linux Enterprise Software Development Kit 12 SP5
  • xen-devel >= 4.12.1_06-1.1
openSUSE Leap 15.0
  • xen-libs >= 4.10.0_20-lp150.1.2
Patchnames:
openSUSE Leap 15.0 GA xen-libs-4.10.0_20-lp150.1.2
openSUSE Tumbleweed
  • xen >= 4.7.0_12-1.3
  • xen-devel >= 4.7.0_12-1.3
  • xen-doc-html >= 4.7.0_12-1.3
  • xen-libs >= 4.7.0_12-1.3
  • xen-libs-32bit >= 4.7.0_12-1.3
  • xen-tools >= 4.7.0_12-1.3
  • xen-tools-domU >= 4.7.0_12-1.3
Patchnames:
openSUSE Tumbleweed GA xen-4.7.0_12-1.3


First public cloud image revisions this CVE is fixed in:


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SLES-LTSS-SAP xen Already fixed
SUSE Linux Enterprise Desktop 11 SP2 xen Analysis
SUSE Linux Enterprise Desktop 11 SP3 xen Analysis
SUSE Linux Enterprise Desktop 11 SP4 xen Analysis
SUSE Linux Enterprise Desktop 12 xen Analysis
SUSE Linux Enterprise Desktop 12 SP1 xen Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP1 ESPOS xen Analysis
SUSE Linux Enterprise Micro 5.0 xen Analysis
SUSE Linux Enterprise Micro 5.1 xen Analysis
SUSE Linux Enterprise Module for Basesystem 15 SP3 xen Analysis
SUSE Linux Enterprise Module for Server Applications 15 SP3 xen Analysis
SUSE Linux Enterprise Server 11 SP2 xen Analysis
SUSE Linux Enterprise Server 11 SP2 LTSS xen Analysis
SUSE Linux Enterprise Server 11 SP2 for VMware xen Analysis
SUSE Linux Enterprise Server 11 SP3 xen Analysis
SUSE Linux Enterprise Server 11 SP4 xen Analysis
SUSE Linux Enterprise Server 12 xen Analysis
SUSE Linux Enterprise Server 12 SP1 xen Unsupported
SUSE Linux Enterprise Server 12 SP4 LTSS xen Analysis
SUSE Linux Enterprise Server BCL 12 SP2 xen Already fixed
SUSE Linux Enterprise Software Development Kit 11 SP2 xen Analysis
SUSE Linux Enterprise Software Development Kit 11 SP3 xen Analysis
SUSE Linux Enterprise Software Development Kit 11 SP4 xen Analysis
SUSE Linux Enterprise Software Development Kit 12 xen Analysis